Subject: Re: Closing down the wireless trees for a summer break?

From: Kalle Valo <[email-masked]>
Date: Wed, 14 Jun 2023 18:07:43 +0300

Johannes Berg <[email-masked]> writes:

> On Tue, 2023-06-13 at 19:51 -0700, Jakub Kicinski wrote:
>
>> On Tue, 13 Jun 2023 22:00:35 +0200 Johannes Berg wrote:
>> > On Tue, 2023-06-13 at 11:28 -0700, Jakub Kicinski wrote:
>> > > On Tue, 13 Jun 2023 20:14:40 +0200 Toke Høiland-Jørgensen wrote:  
>> > > > I think this sounds reasonable, and I applaud the effort to take some
>> > > > time off during the summer :)
>> > > > 
>> > > > One question that comes to mind is how would this work for patchwork?
>> > > > Would we keep using the wireless patchwork instance for the patches
>> > > > going to -net in that period, or will there be some other process for
>> > > > this? I realise the setup we have for ath9k is a bit special in this
>> > > > regard with the ack-on-list+delegation, so I'm obviously mostly
>> > > > interested in what to do about that... :)  
>> > > 
>> > > Whatever's easiest :) It's probably a good idea for Kalle to write
>> > > down all the local rules and customs and share those with us.
>> > 
>> > While that's probably a good idea regardless, I'd think that patchwork
>> > doesn't really matter that much - we'll have some catching up to do
>> > anyway after the vacations, so looking through patchwork etc. would be
>> > perfectly acceptable. Worst case we'd notice when a patch doesn't apply,
>> > right? :)
>> 
>> Right, I meant it more in terms of patch flow. Is looking at which
>> drivers have a tree specified in MAINTAINERS enough to know what
>> should be applied directly?
>
> Oh, right. Not really sure how well that all is reflected in
> MAINTAINERS.

Now that I sent some updates, the separate driver specific trees should
be pretty well documented in MAINTAINERS:

https://patchwork.kernel.org/project/linux-wireless/list/?series=757173

But do let me know if I missed something.

> So Gregory usually handles patches for iwlwifi, but he'll _also_ be on
> vacation around a similar time frame.
>
> Toke usually reviews patches for ath9k but then asks Kalle (via
> assigning in patchwork) to apply them.
>
> Felix usually picks up patches for mediatek drivers (unless specifically
> asking Kalle for individual ones) and then sends a pull request.
>
> For the stack (all the bits we have under net/) that's just on me,
> normally.
>
> I think that's it? But I guess Kalle will have more comments.

And for drivers/net/wireless/ath/ I have my ath.git tree for which I
take all patches for drivers under that directory. (BTW I might be
updating my ath.git tree some time during summer, but no promises. I
will be mostly offline and not even checking email.)

But do note that above is _only_ for -next patches. For patches going to
-rc releases we apply the patches directly to wireless, no other trees
are involved. My proposal was that net maintainers would take only fixes
for -rc releases, my guess from history is that it would be maximum of
10-15 patches. And once me and Johannes are back we would sort out -next
patches before the merge window. But of course you guys can do whatever
you think is best :)

>> > Wrt. ath9k patches I guess "delegate in patchwork" won't work anymore,
>> > but "resend to netdev" or something perhaps?
>> 
>> We can watch PW state and apply from linux-wireless, I reckon.
>> That said I don't know how you use delegation :)
>
> We have auto-delegation set up for this, except iwlwifi is on me right
> now for the upstream, and I just delegate other incoming patches to
> Gregory.

Auto-delegation is awesome, it helps our workflow quite a lot. Though it's not
perfect and some of the patches will not get delegated automatically. So
I periodically check this link if there are patches needing for manual
delegation:

https://patchwork.kernel.org/project/linux-wireless/list/?series=&submitter=&state=&q=&archive=&delegate=Nobody

As an example, right now I see one pull request and one patch:

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

It's a minor nuisance so I haven't bothered to even report it to
patchwork project.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches